Name:          libthai
Version:       0.1.29
Release:       2mamba
Summary:       Thai language support routines
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/tlwg/libthai
Source:        https://github.com/tlwg/libthai.git/v%{version}/libthai-%{version}.tar.bz2
Patch0:        libthai-0.1.12-libdatrie-0.2.2-static-build.patch
Patch1:        libthai-0.1.9-doxygen-segfault.patch 
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdatrie-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: libdatrie-devel
BuildRequires: libdatrie-tools

%description
LibThai is a set of Thai language support routines aimed to ease developers' tasks to incorporate Thai language support in their applications. It includes important Thai-specific functions e.g. word breaking, input and output methods as well as basic character and string supports. LibThai is an Open Source and collaborative effort initiated by Thai Linux Working Group and opened for all contributors.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
LibThai is a set of Thai language support routines.
This package contains libraries and header files needed for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
LibThai is a set of Thai language support routines.
This package contains static libraries needed for development.

%debug_package

%prep
%setup -q
echo "%{version}" > VERSION

./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mkdir installed-docs
mv %{buildroot}%{_docdir}/libthai/* installed-docs
rmdir %{buildroot}%{_docdir}/libthai

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libthai.so.*
%{_datadir}/libthai/thbrk.tri
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/thai
%{_includedir}/thai/*.h
%{_libdir}/libthai.so
%{_libdir}/pkgconfig/libthai.pc
#%{_mandir}/man3/*.gz
%doc ChangeLog NEWS README
%doc installed-docs/*

%files static
%defattr(-,root,root)
%{_libdir}/libthai.*a

%changelog
* Sun Feb 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.29-2mamba
- fix for empty version in pkg-config file

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.29-1mamba
- update to 0.1.29

* Mon Nov 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.28-2mamba
- rebuilt with debug package

* Wed Sep 26 2018 Automatic Build System <autodist@mambasoft.it> 0.1.28-1mamba
- automatic version update by autodist

* Thu Nov 16 2017 Automatic Build System <autodist@mambasoft.it> 0.1.27-1mamba
- automatic update by autodist

* Mon Jan 23 2017 Automatic Build System <autodist@mambasoft.it> 0.1.26-1mamba
- automatic version update by autodist

* Fri Sep 16 2016 Automatic Build System <autodist@mambasoft.it> 0.1.25-1mamba
- automatic update by autodist

* Fri May 13 2016 Automatic Build System <autodist@mambasoft.it> 0.1.24-1mamba
- automatic version update by autodist

* Thu Jul 30 2015 Automatic Build System <autodist@mambasoft.it> 0.1.22-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 0.1.21-1mamba
- automatic version update by autodist

* Sat Jul 27 2013 Automatic Build System <autodist@mambasoft.it> 0.1.19-1mamba
- update to 0.1.19

* Sun Jul 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.18-1mamba
- update to 0.1.18

* Mon Dec 06 2010 gil <puntogil@libero.it> 0.1.14-2mamba
- rebuilt devel

* Sat May 01 2010 gil <puntogil@libero.it> 0.1.14-1mamba
- package created by autospec
